ConnectionProviderInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.connections.internal
Class ConnectionProviderInitiator

    java.lang.Object
      org.hibernate.service.jdbc.connections.internal.ConnectionProviderInitiator

All Implemented Interfaces:
  BasicServiceInitiator<ConnectionProvider>, ServiceInitiator<ConnectionProvider>

    public class ConnectionProviderInitiator

extends Object
implements BasicServiceInitiator<ConnectionProvider>

Instantiates and configures an appropriate `ConnectionProvider`.

Field Summary
`static String` | `C3P0_PROVIDER_CLASS_NAME`
`static String` | `INJECTION_DATA`
`static ConnectionProviderInitiator` | `INSTANCE`
`static String` | `PROXOOL_PROVIDER_CLASS_NAME`

Constructor Summary
`ConnectionProviderInitiator()`

Method Summary
`static Properties` | `getConnectionProperties(Map<?,?> properties)` Build the connection properties capable of being passed to the `DriverManager.getConnection(java.lang.String, java.util.Properties)` forms taking `Properties` argument.
`Class<ConnectionProvider>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`ConnectionProvider` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ConnectionProviderInitiator INSTANCE

### C3P0_PROVIDER_CLASS_NAME

    public static final String C3P0_PROVIDER_CLASS_NAME

See Also:
  Constant Field Values

### PROXOOL_PROVIDER_CLASS_NAME

    public static final String PROXOOL_PROVIDER_CLASS_NAME

See Also:
  Constant Field Values

### INJECTION_DATA

    public static final String INJECTION_DATA

See Also:
  Constant Field Values

Constructor Detail

### ConnectionProviderInitiator

    public ConnectionProviderInitiator()

Method Detail

### getServiceInitiated

    public Class<ConnectionProvider> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<ConnectionProvider>`
  Returns:
    The service role.

### initiateService

    public ConnectionProvider initiateService(Map configurationValues,
                                              ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<ConnectionProvider>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### getConnectionProperties

    public static Properties getConnectionProperties(Map<?,?> properties)

  Build the connection properties capable of being passed to the `DriverManager.getConnection(java.lang.String, java.util.Properties)` forms taking `Properties` argument. We seek out all keys in the passed map which start with `hibernate.connection.`, using them to create a new `Properties` instance. The keys in this new `Properties` have the `hibernate.connection.` prefix trimmed.

  Parameters:
    `properties` - The map from which to build the connection specific properties.
  Returns:
    The connection properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.